> For the complete documentation index, see [llms.txt](https://docs.pvzm.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pvzm.net/engine/reference/cfunction.js/customspecial.md).

# CustomSpecial

Places a plant.

### Signature

```javascript
CustomSpecial(PlantClass, row, column, extraArgs?) => Plant
```

### Parameters

* `PlantClass`\
  The class of the desired plant.
* `row`\
  The row the plant will be placed on.
* `column`\
  The column the plant will be placed on.
* `extraArgs`\
  Optional. Class-specific configuration passed to `Birth`.

### Behavior

Calls the requested `PlantClass`'s `Birth` method with `extraArgs` passed at the end.

### Returns

Returns the instantiated plant object.

### Example

```javascript
// Spawn a Peashooter at the 4th row and 3rd column
CustomSpecial(oPeashooter, 4, 3);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pvzm.net/engine/reference/cfunction.js/customspecial.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
